aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorpsykose <alice@ayaya.dev>2022-06-23 21:55:17 +0000
committerpsykose <alice@ayaya.dev>2022-06-23 23:55:17 +0200
commit2ef3df655d948c699ab5689a3a411ef93578260b (patch)
tree4b728c962ff90625987e131a90faac36ebc479a8
parentb781cf06ac47cd6d0a1ac6304330ff35d4487dea (diff)
downloadaports-2ef3df655d948c699ab5689a3a411ef93578260b.tar.gz
aports-2ef3df655d948c699ab5689a3a411ef93578260b.tar.bz2
aports-2ef3df655d948c699ab5689a3a411ef93578260b.tar.xz
community/librdkafka: upgrade to 1.9.0
closes #13951
-rw-r--r--community/librdkafka/APKBUILD31
1 files changed, 23 insertions, 8 deletions
diff --git a/community/librdkafka/APKBUILD b/community/librdkafka/APKBUILD
index fa6747856a..a512a6ad47 100644
--- a/community/librdkafka/APKBUILD
+++ b/community/librdkafka/APKBUILD
@@ -2,29 +2,44 @@
# Contributor: Mike Milner <milner@blissisland.ca>
# Maintainer:
pkgname=librdkafka
-pkgver=1.8.2
+pkgver=1.9.0
pkgrel=0
pkgdesc="The Apache Kafka C/C++ library"
url="https://github.com/edenhill/librdkafka"
arch="all"
license="BSD-2-Clause"
-makedepends="bash openssl1.1-compat-dev cyrus-sasl-dev lz4-dev zlib-dev zstd-dev rapidjson-dev"
-subpackages="$pkgname-static $pkgname-dev"
+makedepends="
+ bsd-compat-headers
+ cmake
+ cyrus-sasl-dev
+ lz4-dev
+ openssl-dev
+ rapidjson-dev
+ samurai
+ zlib-dev
+ zstd-dev
+ "
+subpackages="$pkgname-dev $pkgname-doc"
source="$pkgname-$pkgver.tar.gz::https://github.com/edenhill/librdkafka/archive/v$pkgver.tar.gz"
+options="!check" # a bunch of them fail
build() {
- ./configure --prefix=/usr
- make
+ cmake -B build -G Ninja \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=RelWithDebinfo \
+ -DRDKAFKA_BUILD_EXAMPLES=OFF \
+ -DRDKAFKA_BUILD_TESTS="$(want_check && echo ON || echo OFF)"
+ cmake --build build
}
check() {
- make check
+ ctest --test-dir build --output-on-failure
}
package() {
- make DESTDIR="$pkgdir" install
+ DESTDIR="$pkgdir" cmake --install build
}
sha512sums="
-8c8ae291129b78e3b8367307ad1b1715af1438cd76d7160d64d13a58adf84c7c9f51efeba4656f55e101c25e4cb744db0d8bb5c01a2decb229e4567d16bdcb22 librdkafka-1.8.2.tar.gz
+d7bff9ef29befa2cb35b52003f7b7da4425f284600dd268b268a36fb1b915917b26cb1a3e78da40eec78cbb12e2f745d2c1e88ac82f19d2beb38aa20b511438f librdkafka-1.9.0.tar.gz
"